package com.zd.smartlock.domain.api;

import com.zd.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/09/05/15:36
 * @Description:
 */
@ApiModel("组织信息")
public class SlGroup extends BaseDomain {

    @ApiModelProperty(value = "组织编号")
    private String pgcode;

    @ApiModelProperty(value = "父级组织id")
    private String pgfatherid;

    @ApiModelProperty(value = "父级组织id")
    private String pgid;

    @ApiModelProperty(value = "组织名称")
    private String pgname;

    public String getPgcode() {
        return pgcode;
    }

    public void setPgcode(String pgcode) {
        this.pgcode = pgcode;
    }

    public String getPgfatherid() {
        return pgfatherid;
    }

    public void setPgfatherid(String pgfatherid) {
        this.pgfatherid = pgfatherid;
    }

    public String getPgid() {
        return pgid;
    }

    public void setPgid(String pgid) {
        this.pgid = pgid;
    }

    public String getPgname() {
        return pgname;
    }

    public void setPgname(String pgname) {
        this.pgname = pgname;
    }
}
